Get flow node run
curl --request GET \
--url https://api.runflow.io/v1/runs/{run_id}/node-runs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state_code": "<string>",
"input": {},
"output": {},
"input_signature": "<string>",
"preview_type": "<string>",
"preview_value": "<string>",
"duration_ms": 123,
"cost": "<string>",
"retry_count": 123,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Runs
Get flow node run
Retrieve a single flow node run by ID. Use ‘any’ as run_id to skip parent validation.
GET
/
v1
/
runs
/
{run_id}
/
node-runs
/
{id}
Get flow node run
curl --request GET \
--url https://api.runflow.io/v1/runs/{run_id}/node-runs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state_code": "<string>",
"input": {},
"output": {},
"input_signature": "<string>",
"preview_type": "<string>",
"preview_value": "<string>",
"duration_ms": 123,
"cost": "<string>",
"retry_count": 123,
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Run ID. Use 'any' to search across all parents.
Response
The requested flow node run.
Response shape.
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$⌘I